
/*
*===========================================================
*        File Name: adg715.h
*          Version: A1
*          Created: 2015-8-14
*         Revision: 00
*         Compiler: ARMCC.exe V5.03.0.76
*           Author: 
*          Company: Analog Devices Inc
*===========================================================
*/
#ifndef ADG715_H_
#define ADG715_H_

#include "inc\ADuCM360.h"
#include "inc\system_ADUCM360.h"
#include "i2c.h"

#define I2CID_ADG715 0x90

typedef union {
	__IO uint8_t		Val;		//Value
	struct			//Bits
	{
		__IO uint8_t VDAC : 1;
		__IO uint8_t VDFB : 1;
		__IO uint8_t IEXT : 1;
		__IO uint8_t TEMP : 1;
		__IO uint8_t VBTN : 1;
		__IO uint8_t VBTP : 1;
		__IO uint8_t IBTN : 1;
		__IO uint8_t IBTP : 1;
	}BITs;
	struct			//Func
	{
		__IO uint8_t VDAC : 1;
		__IO uint8_t Others : 7;
	}FUNC;
} ADG715_SFR_T;

typedef struct {
	         void (*init)(void);
	unsigned char (*rd)(void);
	         void (*wr)(unsigned char Val);
} ADG715_T;

extern ADG715_T adg715;

#endif /*ADG715_H_*/

