
/*
*===========================================================
*        File Name: ctrlport.c
*          Version: A1
*          Created: 2015-8-14
*         Revision: 00
*         Compiler: ARMCC.exe V5.03.0.76
*           Author: 
*          Company: Analog Devices Inc
*===========================================================
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "ctrlport.h"
#include "hardware.h"

Ctrl_Port_PREG_T pctrlport = {
	.A0			= (unsigned long *) 0x420C0300,			//GP0OUT_OUT0_BBA
	.A1			= (unsigned long *) 0x420C0304,			//GP0OUT_OUT1_BBA
	.A2			= (unsigned long *) 0x420C0308,			//GP0OUT_OUT2_BBA
	.I2CEN	= (unsigned long *) 0x420C030C,			//GP0OUT_OUT3_BBA
	.DIR485 = (unsigned long *) 0x420C0310,			//GP0OUT_OUT4_BBA
	.IORST	= (unsigned long *) 0x420C0314			//GP0OUT_OUT5_BBA
};





static void ctrlport_wr(Ctrl_Port_REG_T val);
static void ctrlport_rd(Ctrl_Port_REG_T *pval);
static void ctrlport_set_ch(unsigned char ch_no);
static unsigned char ctrlport_get_ch(void);
static void ctrlport_i2c_open(void);
static void ctrlport_i2c_close(void);
static void ctrlport_rs485_send(void);
static void ctrlport_rs485_receive(void);
static void ctrlport_reset_on(void);
static void ctrlport_reset_off(void);
CtrlPort_Typedef ctrlport = {
	.wr = ctrlport_wr,
	.rd = ctrlport_rd,
	.set_ch = ctrlport_set_ch,
	.get_ch = ctrlport_get_ch,
	.i2c_open = ctrlport_i2c_open,
	.i2c_close = ctrlport_i2c_close,
	.rs485_send = ctrlport_rs485_send,
	.rs485_receive = ctrlport_rs485_receive,
	.reset_on = ctrlport_reset_on,
	.reset_off = ctrlport_reset_off
};
static void ctrlport_wr(Ctrl_Port_REG_T val){
	pADI_GP0->GPOUT = val.Val;
};
static void ctrlport_rd(Ctrl_Port_REG_T *pval){
};
static void ctrlport_set_ch(unsigned char ch_no){
	ADDR0_OUT = ((ch_no&0x01)>>0);
	ADDR1_OUT = ((ch_no&0x02)>>1);
	ADDR2_OUT = ((ch_no&0x04)>>2);
};
static unsigned char ctrlport_get_ch(void){
	return((unsigned char)((ADDR2_IN<<2)|(ADDR1_IN<<1)|ADDR0_IN));
};
static void ctrlport_i2c_open(void){
	I2C_SWITCH = HIGH;
};
static void ctrlport_i2c_close(void){
	I2C_SWITCH = LOW;
};
static void ctrlport_rs485_send(void){
	UART_RS485_DIR = HIGH;
};
static void ctrlport_rs485_receive(void){
	UART_RS485_DIR = LOW;
};
static void ctrlport_reset_on(void){
	IO_RST = LOW;
};
static void ctrlport_reset_off(void){
	IO_RST = HIGH;
};

