
/*
*===========================================================
*        File Name: dac.h
*          Version: A1
*          Created: 2015-8-14
*         Revision: 00
*         Compiler: ARMCC.exe V5.03.0.76
*           Author: 
*          Company: Analog Devices Inc
*===========================================================
*/
#ifndef DAC_H_
#define DAC_H_

#include "inc\ADuCM360.h"
#include "inc\system_ADUCM360.h"
#include "common\DacLib.h"
typedef union {
	struct{
		uint32_t Reserved1 	: 12;
		uint32_t DAT16			:	4;
		uint32_t DAT12			: 12;
		uint32_t Reserved2	: 4;
	}BITs;
	uint32_t Val;
} DACDAT_T;
typedef struct {				//DAC_T
	void(*init)(void);
	void(*wr_raw12)(uint16_t raw);
	void(*wr_raw16)(uint16_t raw);
	void(*wr_volt12)(float vdac);
	void(*wr_volt16)(float vdac);
} DAC_T;

extern DAC_T dac;

#endif /*DAC_H_*/

