
/*
*===========================================================
*        File Name: task.c
*          Version: A1
*          Created: 2015-8-14
*         Revision: 00
*         Compiler: ARMCC.exe V5.03.0.76
*           Author: 
*          Company: Analog Devices Inc
*===========================================================
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "timer0.h"
#include "task.h"
#include "cn0352.h"


#define task_run GP_Tmr0_Int_Handler			//All the periodic operation were controlled by timer0 interrupt.

static void alltask_init(TASK_T *task, unsigned int	InitialDelay, unsigned int	FirstPace, unsigned int	cycle, void(*operation)(void));
extern void task_run (void);


TASK_ALL_T alltask = {
	.ptask = {NULL},
	.init = alltask_init,
	.run	= task_run
};
static void alltask_init(TASK_T *task, unsigned int	InitialDelay, unsigned int	FirstPace, unsigned int	cycle, void(*operation)(void)){
	unsigned char taskID = 0;
	for(taskID = 0; taskID < TASK_NUMBER; taskID ++){
		if(alltask.ptask[taskID] == NULL){			//No Task assigned
			alltask.ptask[taskID] = task;
			task->InitialDelay = InitialDelay;
			task->cycle = cycle;
			task->FirstPace = FirstPace;
			task->order = InitialDelay + FirstPace;
			task->operation = operation;
			break;
		}
	}
}
extern void task_run (void){		//GP_Tmr0_Int_Handler
	unsigned char taskID = 0;
	for(taskID = 0; taskID < TASK_NUMBER; taskID ++){	
		if(alltask.ptask[taskID] != NULL){
			if(timer0.cnt == alltask.ptask[taskID]->order){
				alltask.ptask[taskID]->operation();
				alltask.ptask[taskID]->order = alltask.ptask[taskID]->order + alltask.ptask[taskID]->cycle;
			}
		}
		else{
			break;
		}
	}
	timer0.cnt++;
}
